#include "Box.h"
#include "Position.h"

Box::Box(){}
Box::Box(Position init_corner, int init_horizontal, int init_vertical){
	this->corner=init_corner;
	this->horizontal=init_horizontal;
	this->vertical=init_vertical;
}

Box::~Box(){}

Position Box::getCorner(){
	return this->corner;
}
void Box::setCorner(Position new_corner){
	this->corner=new_corner;
}
int Box::getHorizontal(){
	return this->horizontal;
}
void Box::setHorizontal(int new_horizontal){
	this->horizontal=new_horizontal;
}
int Box::getVertical(){
	return this->vertical;
}
void Box::setVertical(int new_vertical){
	this->vertical=new_vertical;
}